com.google.gwt.text.shared

## Interface Renderer<T>

Type Parameters:
  `T` - the type to render

All Known Implementing Classes:
  AbstractRenderer, DateTimeFormatRenderer, DoubleRenderer, IntegerRenderer, LongRenderer, NumberFormatRenderer, PassthroughRenderer, ProxyRenderer, ToStringRenderer

    public interface Renderer<T>

An object that can render other objects of a particular type into plain-text form. Allows decoupling that is useful for a dependency-injection architecture.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `render(T object)` Renders `object` as plain text.
`void` `render(T object, java.lang.Appendable appendable)` Renders `object` as plain text, appended directly to `appendable`.

### Method Detail

#### render

    java.lang.String render(T object)

Renders `object` as plain text. Should never throw any exceptions!

#### render

    void render(T object,
                java.lang.Appendable appendable)
         throws java.io.IOException

Renders `object` as plain text, appended directly to `appendable`. Should never throw any exceptions except if `appendable` throws an `IOException`.

Throws:
  `java.io.IOException`